function caoyao_choose2()
	m = flag.GetValue(12598)
	if m==1 then
		ui.Dialog(87085,100,0,610,0,0)--我之前的做法是比较极端。怕萍山遭到严重影响，所以比较急。
		ui.Dialog(87086,100,0,605,0,0)--我们之前的确没意识到会影响平衡，以为有那块灵石就可以随心所欲地壮大我族。
		ui.Dialog(87087,100,0,610,0,0)--我并未与你们协商就动起手来，是我的不对。不过你们的同伴我并未杀死，只是打散了它们的灵力，以免草妖族们灵力过大，影响萍山平衡。
		ui.Dialog(87088,100,0,605,0,0)--感谢你手下留情，同伴我们会照顾好的，另我们这里有些增益之物，就送给这几位吧，权当感恩之礼。
		global.CreateSE(628,8372,1449,1060)
		global.CreateSE(628,8392,1449,1069)
		global.CreateSE(628,8429,1456,1036)
		global.CreateSE(628,8402,1456,1015)
		global.CreateSE(628,8374,1456,1026)
		npc.SetAppear(605,0)
		npc.SetAppear(606,0)
		npc.SetAppear(607,0)
		npc.SetAppear(608,0)
		npc.SetAppear(609,0,1)
		npc.SetAppear(600,1)
		npc.SetAppear(601,1)
		npc.SetAppear(602,1)
		npc.SetAppear(603,1)
		npc.SetAppear(604,1)
		npc.SetVisible(605,0)
		npc.SetVisible(606,0)
		npc.SetVisible(607,0)
		npc.SetVisible(608,0)
		npc.SetVisible(609,0)
		npc.RunTo(610,8323,1293,1)
		npc.Destroy(610)
		player.AddItem(16,5,1)
		camera.ChangeCameraFree()
		player.Control(1)
		global.EndScene()
		if player.GetTitleStat(6049)~=1 then  --称号
			player.AddEquip(6049,1,1)
			player.AddTitleList(6049,1)
		end
	elseif m==2 then
		ui.Dialog(87089,100,0,610,0,0)--现在已经没法作罢了，不是它们死，便是我亡！
		ui.Dialog(87090,100,0,605,0,0)--兄弟姐妹们，殊死一搏吧！
		global.EndScene()
		npc.SetAnim(610,105)
		npc.SetAnim(605,15)
		npc.SetAnim(606,15)
		npc.SetAnim(607,15)
		npc.SetAnim(608,15)
		npc.SetAnim(609,15,1)
		npc.CreateSE(610,2122)
		npc.CreateSE(605,1048)
		npc.CreateSE(606,1048)
		npc.CreateSE(607,1048)
		npc.CreateSE(608,1048)
		npc.CreateSE(609,1048)
		npc.SetAnim(610,28)
		npc.SetAnim(605,28)
		npc.SetAnim(606,28)
		npc.SetAnim(607,28)
		npc.SetAnim(608,28)
		npc.SetAnim(609,28,1)
		npc.Destroy(600)
		npc.Destroy(601)
		npc.Destroy(602)
		npc.Destroy(603)
		npc.Destroy(604)
		npc.Destroy(610)
		npc.Destroy(605)
		npc.Destroy(606)
		npc.Destroy(607)
		npc.Destroy(608)
		npc.Destroy(609)
		--[[npc.SetAppear(610,0)
		npc.SetAppear(605,0)
		npc.SetAppear(606,0)
		npc.SetAppear(607,0)
		npc.SetAppear(608,0)
		npc.SetAppear(609,0,1)
		npc.Destroy(610,0)
		npc.Destroy(605,0)
		npc.Destroy(606,0)
		npc.Destroy(607,0)
		npc.Destroy(608,0)
		npc.Destroy(609,0)]]--
		--flag.SetValue(12596,4)
		camera.ChangeCameraFree()
		player.Control(1)
		global.EndScene()
	elseif m==3 then
		ui.Dialog(87091,100,0,610,0,0)--哼，这件事与你们有何干系？萍山的事不用外来人插手。
		ui.Dialog(87092,100,0,605,0,0)--我看你们几个人类也是不怀好意，不知道打什么主意呢，难道想坐收渔人之利？
		ui.Dialog(87093,100,0,610,0,0)--哼，既然有不明意图的外人在此，今日就放过你们几个草妖，希望你们能以萍山和谐为重。
		global.CreateSE(628,8372,1449,1060)
		global.CreateSE(628,8392,1449,1069)
		global.CreateSE(628,8429,1456,1036)
		global.CreateSE(628,8402,1456,1015)
		global.CreateSE(628,8374,1456,1026)
		npc.SetAppear(605,0)
		npc.SetAppear(606,0)
		npc.SetAppear(607,0)
		npc.SetAppear(608,0)
		npc.SetAppear(609,0,1)
		npc.SetAppear(600,1)
		npc.SetAppear(601,1)
		npc.SetAppear(602,1)
		npc.SetAppear(603,1)
		npc.SetAppear(604,1,1)
		npc.SetVisible(605,0)
		npc.SetVisible(606,0)
		npc.SetVisible(607,0)
		npc.SetVisible(608,0)
		npc.SetVisible(609,0)
		npc.RunTo(610,8289,1339,1)
		npc.Destroy(610)
		camera.ChangeCameraFree()
		player.Control(1)
		global.EndScene()		
		if player.GetTitleStat(6050)~=1 then  --称号
			player.AddEquip(6050,1,1)
			player.AddTitleList(6050,1)
		end

	end
	
end